Index: validation/DelphesValidation.cpp
===================================================================
--- validation/DelphesValidation.cpp	(revision 5107603364acdad8e994549206002d7247bab770)
+++ validation/DelphesValidation.cpp	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -2215,90 +2168,83 @@
   TCanvas *c_pfpi_res_eta[n_ptbins];
 
-
   // loop over eta bins
-  for (k = 0; k < etaVals.size()-1; k++)
-  {
-     mg_pfpi_res_e[k] = new TMultiGraph("","");
-     leg_pfpi_res_e[k] = new TLegend(0.40,0.60,0.75,0.90);
-
-     HistogramsCollection(&plots_pfpi_res_e[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "pfpi");
-     GetEres<Track>(&plots_pfpi_res_e[k], branchPion, branchParticlePion, 211, etaVals.at(k), etaVals.at(k+1), treeReaderPion);
-     gr_pfpi_res_e[k] = EresGraph(&plots_pfpi_res_e[k]);
-
-     HistogramsCollection(&plots_trkpi_res_e[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "trkpi");
-     GetEres<Track>(&plots_trkpi_res_e[k], branchTrackPion, branchParticlePion, 211, etaVals.at(k), etaVals.at(k+1), treeReaderPion);
-     gr_trkpi_res_e[k] = EresGraph(&plots_trkpi_res_e[k]);
-
-
-     s_etaMin = Form("%.1f",etaVals.at(k));
-     s_etaMax = Form("%.1f",etaVals.at(k+1));
-     s_eta    = "#pi^{ #pm}, "+ s_etaMin + " < | #eta | < " + s_etaMax;
-
-     leg_pfpi_res_e[k]->SetTextFont(132);
-     leg_pfpi_res_e[k]->SetHeader(s_eta);
-
-     addResoGraph(mg_pfpi_res_e[k], &gr_hcal_res_e[k], leg_pfpi_res_e[k], markerStyles.at(0), colors.at(0), "HCAL");
-     addResoGraph(mg_pfpi_res_e[k], &gr_trkpi_res_e[k], leg_pfpi_res_e[k], markerStyles.at(1), colors.at(1), "Track");
-     addResoGraph(mg_pfpi_res_e[k], &gr_pfpi_res_e[k], leg_pfpi_res_e[k], markerStyles.at(2), colors.at(2), "Particle-flow");
-
-     c_pfpi_res_e[k] = new TCanvas("","", 800, 600);
-
-     mg_pfpi_res_e[k]->Draw("APE");
-     //DrawAxis(mg_pfpi_res_e[k], leg_pfpi_res_e[k], ptMin, ptMax, 0.1, 100, "E [GeV]", "(resolution in E)/E (%)", true, true);
-     DrawAxis(mg_pfpi_res_e[k], leg_pfpi_res_e[k], ptMin, ptMax, 0.1, 50, "E [GeV]", "(resolution in E)/E (%)", true, false);
-     leg_pfpi_res_e[k]->Draw();
-     pave->Draw();
-
-     TString s_etarange = "eta_"+s_etaMin+"_"+s_etaMax+"_";
-
-     c_pfpi_res_e[k]->Print(pdfOutput,"pdf");
-     c_pfpi_res_e[k]->Print(figPath+"img_pfpi_res_"+s_etarange+"e.pdf","pdf");
-     c_pfpi_res_e[k]->Print(figPath+"img_pfpi_res_"+s_etarange+"e.png","png");
-
-  }
-
-
-    // loop over eta bins
-  for (k = 0; k < ptVals.size(); k++)
-  {
-
-     mg_pfpi_res_eta[k] = new TMultiGraph("","");
-     leg_pfpi_res_eta[k] = new TLegend(0.40,0.60,0.75,0.90);
-
-     HistogramsCollectionVsEta(&plots_pfpi_res_eta[k], etaMin, etaMax, 0.5*ptVals.at(k), 2.0*ptVals.at(k), "pfpi", 0.0, 2.0);
-     GetEresVsEta<Track>(&plots_pfpi_res_eta[k], branchPion, branchParticlePion, 211, 0.5*ptVals.at(k), 2.0*ptVals.at(k), treeReaderPion);
-     gr_pfpi_res_eta[k] = EresGraphVsEta(&plots_pfpi_res_eta[k]);
-
-     HistogramsCollectionVsEta(&plots_trkpi_res_eeta[k], etaMin, etaMax, 0.5*ptVals.at(k), 2.0*ptVals.at(k), "trkpi", 0.0, 2.0);
-     GetEresVsEta<Track>(&plots_trkpi_res_eeta[k], branchPion, branchParticlePion, 211, 0.5*ptVals.at(k), 2.0*ptVals.at(k), treeReaderPion);
-     gr_trkpi_res_eeta[k] = EresGraphVsEta(&plots_trkpi_res_eeta[k]);
-
-
-     s_e = Form("#pi^{ #pm}, E = %.0f GeV",ptVals.at(k));
-     if(ptVals.at(k) >= 1000.) s_e = Form("#pi^{ #pm}, E = %.0f TeV",ptVals.at(k)/1000.);
-
-     leg_pfpi_res_eta[k]->SetTextFont(132);
-     leg_pfpi_res_eta[k]->SetHeader(s_e);
-
-     addResoGraph(mg_pfpi_res_eta[k], &gr_hcal_res_eta[k], leg_pfpi_res_eta[k], markerStyles.at(0), colors.at(0), "HCAL");
-     addResoGraph(mg_pfpi_res_eta[k], &gr_trkpi_res_eeta[k], leg_pfpi_res_eta[k], markerStyles.at(1), colors.at(1), "Track");
-     addResoGraph(mg_pfpi_res_eta[k], &gr_pfpi_res_eta[k], leg_pfpi_res_eta[k], markerStyles.at(2), colors.at(2), "Particle-flow");
-
-     c_pfpi_res_eta[k] = new TCanvas("","", 800, 600);
-
-     mg_pfpi_res_eta[k]->Draw("APE");
-     //DrawAxis(mg_pfpi_res_eta[k], leg_pfpi_res_eta[k], etaMin, etaMax, 0.1, 1000, "#eta", "(resolution in E)/E (%)", false, true);
-     DrawAxis(mg_pfpi_res_eta[k], leg_pfpi_res_eta[k], etaMin, etaMax, 0.0, 50, "#eta", "(resolution in E)/E (%)", false, false);
-     leg_pfpi_res_eta[k]->Draw();
-     pave->Draw();
-
-     TString s_ptrange = Form("pt_%.0f_",ptVals.at(k));
-
-     c_pfpi_res_eta[k]->Print(pdfOutput,"pdf");
-     c_pfpi_res_eta[k]->Print(figPath+"img_pfpi_res_"+s_ptrange+"eta.pdf","pdf");
-     c_pfpi_res_eta[k]->Print(figPath+"img_pfpi_res_"+s_ptrange+"eta.png","png");
-
-  }
-
+  for(k = 0; k < etaVals.size() - 1; k++)
+  {
+    mg_pfpi_res_e[k] = new TMultiGraph("", "");
+    leg_pfpi_res_e[k] = new TLegend(0.40, 0.60, 0.75, 0.90);
+
+    HistogramsCollection(&plots_pfpi_res_e[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "pfpi");
+    GetEres<Track>(&plots_pfpi_res_e[k], branchPion, branchParticlePion, 211, etaVals.at(k), etaVals.at(k + 1), treeReaderPion);
+    gr_pfpi_res_e[k] = EresGraph(&plots_pfpi_res_e[k]);
+
+    HistogramsCollection(&plots_trkpi_res_e[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "trkpi");
+    GetEres<Track>(&plots_trkpi_res_e[k], branchTrackPion, branchParticlePion, 211, etaVals.at(k), etaVals.at(k + 1), treeReaderPion);
+    gr_trkpi_res_e[k] = EresGraph(&plots_trkpi_res_e[k]);
+
+    s_etaMin = Form("%.1f", etaVals.at(k));
+    s_etaMax = Form("%.1f", etaVals.at(k + 1));
+    s_eta = "#pi^{ #pm}, " + s_etaMin + " < | #eta | < " + s_etaMax;
+
+    leg_pfpi_res_e[k]->SetTextFont(132);
+    leg_pfpi_res_e[k]->SetHeader(s_eta);
+
+    addResoGraph(mg_pfpi_res_e[k], &gr_hcal_res_e[k], leg_pfpi_res_e[k], markerStyles.at(0), colors.at(0), "HCAL");
+    addResoGraph(mg_pfpi_res_e[k], &gr_trkpi_res_e[k], leg_pfpi_res_e[k], markerStyles.at(1), colors.at(1), "Track");
+    addResoGraph(mg_pfpi_res_e[k], &gr_pfpi_res_e[k], leg_pfpi_res_e[k], markerStyles.at(2), colors.at(2), "Particle-flow");
+
+    c_pfpi_res_e[k] = new TCanvas("", "", 800, 600);
+
+    mg_pfpi_res_e[k]->Draw("APE");
+    //DrawAxis(mg_pfpi_res_e[k], leg_pfpi_res_e[k], ptMin, ptMax, 0.1, 100, "E [GeV]", "(resolution in E)/E (%)", true, true);
+    DrawAxis(mg_pfpi_res_e[k], leg_pfpi_res_e[k], ptMin, ptMax, 0.1, 50, "E [GeV]", "(resolution in E)/E (%)", true, false);
+    leg_pfpi_res_e[k]->Draw();
+    pave->Draw();
+
+    TString s_etarange = "eta_" + s_etaMin + "_" + s_etaMax + "_";
+
+    c_pfpi_res_e[k]->Print(pdfOutput, "pdf");
+    c_pfpi_res_e[k]->Print(figPath + "img_pfpi_res_" + s_etarange + "e.pdf", "pdf");
+    c_pfpi_res_e[k]->Print(figPath + "img_pfpi_res_" + s_etarange + "e.png", "png");
+  }
+
+  // loop over eta bins
+  for(k = 0; k < ptVals.size(); k++)
+  {
+
+    mg_pfpi_res_eta[k] = new TMultiGraph("", "");
+    leg_pfpi_res_eta[k] = new TLegend(0.40, 0.60, 0.75, 0.90);
+
+    HistogramsCollectionVsEta(&plots_pfpi_res_eta[k], etaMin, etaMax, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), "pfpi", 0.0, 2.0);
+    GetEresVsEta<Track>(&plots_pfpi_res_eta[k], branchPion, branchParticlePion, 211, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), treeReaderPion);
+    gr_pfpi_res_eta[k] = EresGraphVsEta(&plots_pfpi_res_eta[k]);
+
+    HistogramsCollectionVsEta(&plots_trkpi_res_eeta[k], etaMin, etaMax, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), "trkpi", 0.0, 2.0);
+    GetEresVsEta<Track>(&plots_trkpi_res_eeta[k], branchPion, branchParticlePion, 211, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), treeReaderPion);
+    gr_trkpi_res_eeta[k] = EresGraphVsEta(&plots_trkpi_res_eeta[k]);
+
+    s_e = Form("#pi^{ #pm}, E = %.0f GeV", ptVals.at(k));
+    if(ptVals.at(k) >= 1000.) s_e = Form("#pi^{ #pm}, E = %.0f TeV", ptVals.at(k) / 1000.);
+
+    leg_pfpi_res_eta[k]->SetTextFont(132);
+    leg_pfpi_res_eta[k]->SetHeader(s_e);
+
+    addResoGraph(mg_pfpi_res_eta[k], &gr_hcal_res_eta[k], leg_pfpi_res_eta[k], markerStyles.at(0), colors.at(0), "HCAL");
+    addResoGraph(mg_pfpi_res_eta[k], &gr_trkpi_res_eeta[k], leg_pfpi_res_eta[k], markerStyles.at(1), colors.at(1), "Track");
+    addResoGraph(mg_pfpi_res_eta[k], &gr_pfpi_res_eta[k], leg_pfpi_res_eta[k], markerStyles.at(2), colors.at(2), "Particle-flow");
+
+    c_pfpi_res_eta[k] = new TCanvas("", "", 800, 600);
+
+    mg_pfpi_res_eta[k]->Draw("APE");
+    //DrawAxis(mg_pfpi_res_eta[k], leg_pfpi_res_eta[k], etaMin, etaMax, 0.1, 1000, "#eta", "(resolution in E)/E (%)", false, true);
+    DrawAxis(mg_pfpi_res_eta[k], leg_pfpi_res_eta[k], etaMin, etaMax, 0.0, 50, "#eta", "(resolution in E)/E (%)", false, false);
+    leg_pfpi_res_eta[k]->Draw();
+    pave->Draw();
+
+    TString s_ptrange = Form("pt_%.0f_", ptVals.at(k));
+
+    c_pfpi_res_eta[k]->Print(pdfOutput, "pdf");
+    c_pfpi_res_eta[k]->Print(figPath + "img_pfpi_res_" + s_ptrange + "eta.pdf", "pdf");
+    c_pfpi_res_eta[k]->Print(figPath + "img_pfpi_res_" + s_ptrange + "eta.png", "png");
+  }
 
   /////////////////
@@ -2312,13 +2258,13 @@
   TLegend *leg_pfjet_res_eta[n_ptbins];
 
-  TGraphErrors *gr_pfjet_res_e   = new TGraphErrors[n_etabins];
+  TGraphErrors *gr_pfjet_res_e = new TGraphErrors[n_etabins];
   TGraphErrors *gr_pfjet_res_eta = new TGraphErrors[n_ptbins];
 
-  TGraphErrors *gr_cajet_res_e   = new TGraphErrors[n_etabins];
+  TGraphErrors *gr_cajet_res_e = new TGraphErrors[n_etabins];
   TGraphErrors *gr_cajet_res_eta = new TGraphErrors[n_ptbins];
 
-  std::vector<resolPlot> *plots_pfjet_res_e   = new std::vector<resolPlot>[n_etabins];
+  std::vector<resolPlot> *plots_pfjet_res_e = new std::vector<resolPlot>[n_etabins];
   std::vector<resolPlot> *plots_pfjet_res_eta = new std::vector<resolPlot>[n_ptbins];
-  std::vector<resolPlot> *plots_cajet_res_e   = new std::vector<resolPlot>[n_etabins];
+  std::vector<resolPlot> *plots_cajet_res_e = new std::vector<resolPlot>[n_etabins];
   std::vector<resolPlot> *plots_cajet_res_eta = new std::vector<resolPlot>[n_ptbins];
 
